List Agent Revisions
GET /agents/{agent_id}/revisionsParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | path | string (uuid) | required | — |
limit | query | integer | optional | Default 50. min 1 max 200 |
cursor | query | string | null | optional | — |
offset | query | integer | null | optional | min 0 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_AgentRevisionView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/agents/{agent_id}/revisions \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_AgentRevisionView_
Section titled “Response — Page_AgentRevisionView_”| Field | Type | Notes | |
|---|---|---|---|
items | AgentRevisionView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |